Skip to main content
Nowledge MemNowledge Mem

Trigger Skill Compile

POST
/agent/trigger/skill-compile

Compile one promoted candidate into a draft skill.

Reads the candidate's evidence and writes a SKILL.md bundle, moving the candidate to 'draft' for review. Triggered after the user promotes a candidate.

Query Parameters

skill_id*Skill Id

Response Body

application/json

application/json

curl -X POST "https://example.com/agent/trigger/skill-compile?skill_id=string"
{  "property1": "string",  "property2": "string"}